/* =========================================================================
	This library is part of IshiSoft CEHTTP base class.
	------------------------------------------------------------------------
	author: yu-ishi@ya2.so-net.ne.jp
			http://www001.upp.so-net.ne.jp/ishi/index.html
  ========================================================================== */
#if !defined(__HTTPD_H__)
#define __HTTPD_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MyHash;
typedef int (*CEHTTPLOGAPI)(WCHAR* pwszLogFile, int nLogSize, int nHttpStatus, MyHash* hashRequest);

typedef struct tagLISTEN_THREAD
{
	HANDLE		hThread;				// Thread handle
	int			bValid;					// TRUE as in Active 
	HWND		hWnd;					// Window handle
} LISTEN_THREAD;

typedef struct tagCHILD_THREAD
{
	HANDLE		hThread;				// Thread handle
	int			bValid;					// TRUE as in Active
	int*		pbBeQuick;				// Stop KeepAlive
	HWND		hWnd;					// Window handle
	SOCKET		sock;					// Socket handle
	int			nMsgID;					// for debug
	CEHTTPLOGAPI	fnLogapi;			// log api
	CRITICAL_SECTION *pCSection;		// critical section
	sockaddr_in	saRemoteHost;			// Remote host information
} CHILD_THREAD;

void thAccept(LPVOID pvParams);
void thListen(LPVOID pvParams);

#endif // !defined(__HTTPD_H__)
